
Redmine - Defect #19516

Issue "preceeds" error: If B follows A, B starting date !=< ending date of A, should be Bs !< Ae

2015-03-29 23:21 - David Gessel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.2

Description

It is perfectly logical and reasonable to plan to start issue B the same day issue A is resolved.  There's no reason to enforce in

planning a "A's done! Everybody go home early!" rule.  It should be entirely practical to plan to resolve 100 sequential issues on a

single day, though perhaps a bit optimistic even just for the overhead of closing them out.

Somewhat more ambitiously, one could argue that the end should not be fewer days after the start than the total anticipated hours /

number of people assigned / whichever is less (hours planned to work | 24 hours per day).

Related issues:

Is duplicate of Redmine - Patch #3195: issue's start date could be the latest... New 2009-04-17

History

#1 - 2015-03-29 23:23 - David Gessel

This is to spec, but I think this is over contrained.... [[http://www.redmine.org/projects/redmine/wiki/RedmineIssues#Related-issues]]

#2 - 2015-03-30 02:10 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #3195 and discussions are going on there.

Thanks for reporting.

#3 - 2015-03-30 02:10 - Go MAEDA

- Is duplicate of Patch #3195: issue's start date could be the latest due date of predecessors added
